Skip to content

Update DNS record

PATCH /dns/rr/{rrid}

Operation ID: PatchRecordByRRID

Update a specific Resource Record (rrid). This is useful for modifying the record’s name or type, or when managing multiple records with the same name and type combination.

NameTypeRequiredDescription
rridrridyes-

recordRequest

FieldTypeRequiredDescription
typetypeno-
namefqdn_or_subdomainnoFully Qualified Domain Name (FQDN) or subdomain. You can use the @ symbol to represent your apex domain (e.g., example.com). Wildcards are supported.
ttlttlnoTime To Live in seconds (60-86400)
annotationstringnoA custom note for this particular record.

Plus the fields of one of these variants:

VariantFields
Adata: ipv4
AAAAdata: ipv6
CNAMEdata: fqdn
CAAflags: integer, tag: string, data: string
ALIASdata: fqdn
MXdata: fqdn, priority: integer
TXTdata: string
StatusTypeDescription
200recordResponseThe updated record
400ErrorInvalid request
401ErrorUnauthorized
404ErrorDNS record not found
417ErrorDNS record update violates a zone constraint
429ErrorRate limit for ACME platform credentials (scope acme-dns-challenge): calls per minute, and distinct customers per day. Ordinary customer keys never receive this status on this endpoint.
500ErrorUnexpected error
FieldTypeRequiredDescription
successbooleanyesSuccess indicator
codeintegernoResponse/Error Code
responserecordResponseno-
Terminal window
curl -X PATCH "https://api.regfish.com/dns/rr/<rrid>" \
-H "x-api-key: $REGFISH_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"type": "A",
"name": "www",
"ttl": 600,
"annotation": "string",
"data": "12.12.12.12"
}'

Fill in values - the call below updates as you type. Nothing is sent: the API does not currently allow browser requests from this domain (CORS). The API key is not stored.